group "AllocationContent.model"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | 5 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
collateral?, creditChargeAmount?, approvals?, masterConfirmationDate?, relatedParty*

Content Model Elements (5):

  approvals, collateral (in allocation), creditChargeAmount, | masterConfirmationDate (in allocation), relatedParty (in allocation)

Known Usage Locations

- In definitions of global complexTypes (1):
  Allocation

XML Source (w/o annotations (5); see within schema source)

<xsd:group name="AllocationContent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="collateral" type="Collateral"/> <xsd:element minOccurs="0" name="creditChargeAmount" type="Money"/> <xsd:element minOccurs="0" name="approvals" type="Approvals"/> <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
approvals

  Type: | Approvals, complex content

  A container for approval states in the workflow.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="approvals" type="Approvals"/>

collateral

  Type: | Collateral, complex content

  The sum that must be posted upfront to collateralize against counterparty credit risk.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateral" type="Collateral"/>

creditChargeAmount

  Type: | Money, complex content

  Special credit fee assessed to certain institutions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditChargeAmount" type="Money"/>

masterConfirmationDate

  Type: | xsd:date, predefined, simple content

  The date of the confirmation executed between the parties and intended to govern the allocated trade between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmationDate" type="xsd:date"/>

relatedParty

  Type: | RelatedParty, complex content

  Specifies any relevant parties to the allocation which should be referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.